## vxl 1.14.0

=== contrib/CMakeLists.txt ===
# This is contrib/CMakeLists.txt
# Dependencies: mul --> (rpl,tbl);  oxl --> gel --> brl;  (gel,oxl) --> conversions

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/conversions/CMakeLists.txt )
  OPTION(BUILD_CONVERSIONS "Build the Conversions Examples?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/conversions/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/brl/CMakeLists.txt )
  OPTION(BUILD_BRL "Build the Brown University library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/brl/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/gel/CMakeLists.txt )
  OPTION(BUILD_GEL "Build the GE library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/gel/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/mul/CMakeLists.txt )
  OPTION(BUILD_MUL "Build the Manchester University library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/mul/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/oul/CMakeLists.txt )
  OPTION(BUILD_OUL "Build the Otago University library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/oul/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/prip/CMakeLists.txt )
  OPTION(BUILD_PRIP "Build the T.U.Wien library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/prip/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/oxl/CMakeLists.txt )
  OPTION(BUILD_OXL "Build the Oxford University library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/oxl/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/rpl/CMakeLists.txt )
  OPTION(BUILD_RPL "Build the RPI library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/rpl/CMakeLists.txt )

IF( EXISTS ${vxl_SOURCE_DIR}/contrib/tbl/CMakeLists.txt )
  OPTION(BUILD_TBL "Build the TB library package?" YES)
ENDIF( EXISTS ${vxl_SOURCE_DIR}/contrib/tbl/CMakeLists.txt )


IF(BUILD_MUL)
  SUBDIRS(mul)
ENDIF(BUILD_MUL)

IF(BUILD_RPL)
  SUBDIRS(rpl)
ENDIF(BUILD_RPL)

IF(BUILD_TBL)
  SUBDIRS(tbl)
ENDIF(BUILD_TBL)

IF(BUILD_OUL)
  SUBDIRS(oul)
ENDIF(BUILD_OUL)

IF(BUILD_OXL)
  SUBDIRS(oxl)
ENDIF(BUILD_OXL)

IF(BUILD_GEL)
  SUBDIRS(gel)
ENDIF(BUILD_GEL)

IF(BUILD_BRL)
  SUBDIRS(brl)
  IF(BUILD_GEL)
  # since gel/vsrl depends on brl/bseg/sdet, it cannot be built before brl:
  IF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
    # Dense matcher
    SUBDIRS(gel/vsrl)
  ENDIF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
  IF (BUILD_TESTING)
    # since gel/vifa/tests depends on brl/bseg/sdet, it must be built after brl:
    SUBDIRS(gel/vifa/tests)
  ENDIF (BUILD_TESTING)
  ENDIF(BUILD_GEL)
ENDIF(BUILD_BRL)

IF(BUILD_PRIP)
  SUBDIRS(prip)
ENDIF(BUILD_PRIP)

IF(BUILD_CONVERSIONS)
  SUBDIRS(conversions)
ENDIF(BUILD_CONVERSIONS)

=== core/CMakeLists.txt ===
# vxl/CMakeLists.txt

PROJECT( vxlcore )

doxygen_add_book(core "VXL overview documentation")

doxygen_add_package(core "Core Vision Libraries")
doxygen_add_package(core-L2 "Level-2 Vision Libraries")
doxygen_add_package(core-L2E "Level-2 Vision Libraries (Experimental)")
doxygen_add_package(core-test "Test Framework")

SET(global_sources
 vxl_copyright.h
 vxl_version.h
 vxl_config.h.in
)

INSTALL_NOBASE_HEADER_FILES(/include/vxl/core ${global_sources})

# common test executable
SUBDIRS(testlib)

# Tests that check and output the vxl configuration
IF( BUILD_TESTING )
  SUBDIRS( tests )
ENDIF( BUILD_TESTING )


IF (BUILD_CORE_UTILITIES)
  # POSIX layer
  SUBDIRS(vpl)

  # utilities
  SUBDIRS(vul)

  # "basics" (templates)
  SUBDIRS(vbl)
ENDIF (BUILD_CORE_UTILITIES)


# numerics
IF (BUILD_CORE_NUMERICS)
  SUBDIRS(vnl)
ENDIF (BUILD_CORE_NUMERICS)


# geometry (including computational geometry)
IF (BUILD_CORE_GEOMETRY)
  SUBDIRS(vgl)
ENDIF (BUILD_CORE_GEOMETRY)


IF (BUILD_CORE_IMAGING)
  # image
  SUBDIRS(vil)

  IF (BUILD_CORE_NUMERICS)
    SUBDIRS (vil/algo)
  ENDIF (BUILD_CORE_NUMERICS)

  # Old image library (deprecated)
  SUBDIRS(vil1)
ENDIF (BUILD_CORE_IMAGING)

IF (BUILD_CORE_SERIALISATION)
  # Fast Binary IO
  SUBDIRS(vsl)

  IF (BUILD_CORE_UTILITIES)
    SUBDIRS(vul/io vbl/io)
  ENDIF (BUILD_CORE_UTILITIES)

  IF (BUILD_CORE_NUMERICS)
    SUBDIRS(vnl/io vnl/xio)
  ENDIF (BUILD_CORE_NUMERICS)

  IF (BUILD_CORE_GEOMETRY)
    SUBDIRS(vgl/io vgl/xio)
  ENDIF (BUILD_CORE_GEOMETRY)

  IF (BUILD_CORE_IMAGING)
    SUBDIRS(vil/io)
    # I/O for the ld image library (deprecated):
    SUBDIRS(vil1/io)
  ENDIF (BUILD_CORE_IMAGING)
ENDIF (BUILD_CORE_SERIALISATION)


# coordinate systems
IF (BUILD_CORE_GEOMETRY AND BUILD_CORE_NUMERICS)
  SUBDIRS(vcsl)
ENDIF (BUILD_CORE_GEOMETRY AND BUILD_CORE_NUMERICS)

# probability distributions
IF (BUILD_CORE_PROBABILITY)
  SUBDIRS( vpdl )
ENDIF (BUILD_CORE_PROBABILITY)

IF (BUILD_CORE_ALL)
# multi-platform GUI toolkit
  SUBDIRS(vgui)

  IF(BUILD_EXAMPLES)
    SUBDIRS(examples)
  ENDIF(BUILD_EXAMPLES)
ENDIF (BUILD_CORE_ALL)

# video
SET (CORE_VIDEO_FOUND NO CACHE INTERNAL "VXL core video libraries built")
IF (BUILD_CORE_UTILITIES AND BUILD_CORE_IMAGING)
  OPTION (BUILD_CORE_VIDEO "Build VXL's core video libraries" YES)
  IF (BUILD_CORE_VIDEO)
    SUBDIRS(vidl)
    # deprecated: old video library:
    IF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
      SUBDIRS(vidl1)
      SUBDIRS(vidl_vil1)
    ENDIF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
    SET (CORE_VIDEO_FOUND YES CACHE INTERNAL "VXL core video libraries built")
  ENDIF (BUILD_CORE_VIDEO)
ENDIF (BUILD_CORE_UTILITIES AND BUILD_CORE_IMAGING)

=== v3p/CMakeLists.txt ===
# v3p/CMakeLists.txt

PROJECT( vthreep )

SET( VTHREEP_INCLUDE_DIR ${vthreep_SOURCE_DIR} CACHE STATIC "v3p include files" )
SET( VTHREEP_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/include/vxl/v3p CACHE STATIC "v3p include files" )

# The borland compiler produces lots of warnings like
# Warning W8004 C:\cygwin\tmp\vxl_nightly_borland\vxl_src\v3p\tiff\tif_fax3.c 256:
#      'a0' is assigned a value that is never used in function Fax3Decode1D
# There is no point in us fixing them locally. IMS
IF (BORLAND)
  SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w-8004")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -w-8004")
ENDIF (BORLAND)


IF (BUILD_CORE_NUMERICS)
  SUBDIRS(netlib)
ENDIF (BUILD_CORE_NUMERICS)

IF (BUILD_VGUI OR BUILD_FOR_VXL_DASHBOARD)
  SUBDIRS(Qv)
ENDIF (BUILD_VGUI OR BUILD_FOR_VXL_DASHBOARD)

IF (BUILD_CORE_IMAGING)
  OPTION( VXL_FORCE_V3P_ZLIB "Use V3P instead of any native ZLIB library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_ZLIB )
  SUBDIRS(zlib)

  OPTION( VXL_FORCE_V3P_JPEG "Use V3P instead of any native JPEG library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_JPEG )
  SUBDIRS(jpeg)

  OPTION( VXL_FORCE_V3P_TIFF "Use V3P instead of any native TIFF library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_TIFF )
  SUBDIRS(tiff)

  OPTION( VXL_FORCE_V3P_GEOTIFF "Use V3P instead of any native GEOTIFF library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_GEOTIFF )
  SUBDIRS(geotiff)

  OPTION( VXL_FORCE_V3P_PNG "Use V3P instead of any native PNG library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_PNG )
  SUBDIRS(png)
  
  OPTION( VXL_FORCE_V3P_MPEG2 "Use V3P instead of any native MPEG2 library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_MPEG2 )
  SUBDIRS(mpeg2)

  OPTION( VXL_FORCE_V3P_DCMTK "Use V3P instead of any native DCMTK library?" NO)
  MARK_AS_ADVANCED( VXL_FORCE_V3P_DCMTK )
  SUBDIRS(dcmtk)
	
  SUBDIRS(rply)

ENDIF (BUILD_CORE_IMAGING)

=== vcl/CMakeLists.txt ===
# vcl/CMakeLists.txt

IF(WIN32)
  # MSVC.NET produces lots of warnings like
  # "warning LNK4221: no public symbols found; archive member will be inaccessible"
  # that depend on subtle logic at compile time.
  # This is a bit indescriminate, but it may be the only feasible way to suppress them.
  IF (CMAKE_CXX_COMPILER MATCHES "^cl$")
    SET ( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /WARN:0")
    SET ( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /WARN:0")
  ENDIF (CMAKE_CXX_COMPILER MATCHES "^cl$")
ENDIF(WIN32)


PROJECT( vcl )

# Set up vcl_where_root_dir.h to have a macro set to $VCL_SOURCE_ROOT_DIR
CONFIGURE_FILE(
  ${vxl_SOURCE_DIR}/vcl/vcl_where_root_dir.h.in
  ${vxl_BINARY_DIR}/vcl/vcl_where_root_dir.h ESCAPE_QUOTES
)

SET( vcl_sources
  vcl_compiler.h
  vcl_deprecated.cxx     vcl_deprecated.h

  vcl_where_root_dir.h.in
  vcl_config_compiler.h.in
  vcl_config_headers.h.in
  vcl_config_manual.h.in

  vcl_cmath.cxx          vcl_cmath.h
  vcl_cassert.cxx        vcl_cassert.h
  vcl_cstdlib.cxx        vcl_cstdlib.h

  vcl_algorithm.txx      vcl_algorithm.h
  vcl_bitset.h
  vcl_cctype.h
  vcl_cerrno.h
  vcl_cfloat.h
  vcl_ciso646.h
  vcl_climits.h
  vcl_clocale.h
  vcl_complex.txx        vcl_complex.h
  vcl_complex_fwd.h
  vcl_csetjmp.h
  vcl_csignal.h
  vcl_cstdarg.h
  vcl_cstddef.h
  vcl_cstdio.h
  vcl_cstring.h
  vcl_ctime.h
  vcl_cwchar.h
  vcl_cwctype.h
  vcl_deprecated_header.h
  vcl_deque.txx          vcl_deque.h
  vcl_exception.h
  vcl_fstream.h
  vcl_functional.txx     vcl_functional.h
  vcl_iomanip.h
  vcl_ios.h
  vcl_iosfwd.h
  vcl_iostream.h
  vcl_istream.h
  vcl_iterator.txx       vcl_iterator.h
  vcl_limits.h
  vcl_list.txx           vcl_list.h
  vcl_locale.h
  vcl_map.txx            vcl_map.h
  vcl_memory.h
  vcl_new.h
  vcl_numeric.h
  vcl_ostream.h
  vcl_queue.txx          vcl_queue.h
  vcl_set.txx            vcl_set.h
  vcl_sstream.h
  vcl_stack.txx          vcl_stack.h
  vcl_stdexcept.h
  vcl_stlfwd.h
  vcl_streambuf.h
  vcl_string.txx         vcl_string.h
  vcl_typeinfo.h
  vcl_utility.txx        vcl_utility.h
  vcl_valarray.h
  vcl_vector.txx         vcl_vector.h
  vcl_sys/time.h
  vcl_sys/types.h

  generic/vcl_algorithm.h
  generic/vcl_bitset.h
  generic/vcl_blah.h
  generic/vcl_cassert.h
  generic/vcl_cctype.h
  generic/vcl_cerrno.h
  generic/vcl_cfloat.h
  generic/vcl_ciso646.h
  generic/vcl_climits.h
  generic/vcl_clocale.h
  generic/vcl_cmath.h
  generic/vcl_complex.h
  generic/vcl_csetjmp.h
  generic/vcl_csignal.h
  generic/vcl_cstdarg.h
  generic/vcl_cstddef.h
  generic/vcl_cstdio.h
  generic/vcl_cstdlib.h
  generic/vcl_cstring.h
  generic/vcl_ctime.h
  generic/vcl_cwchar.h
  generic/vcl_cwctype.h
  generic/vcl_deque.h
  generic/vcl_exception.h
  generic/vcl_fstream.h
  generic/vcl_functional.h
  generic/vcl_iomanip.h
  generic/vcl_ios.h
  generic/vcl_iosfwd.h
  generic/vcl_iostream.h
  generic/vcl_istream.h
  generic/vcl_iterator.h
  generic/vcl_limits.h
  generic/vcl_list.h
  generic/vcl_locale.h
  generic/vcl_map.h
  generic/vcl_memory.h
  generic/vcl_memory_tr1.h
  generic/vcl_numeric.h
  generic/vcl_ostream.h
  generic/vcl_queue.h
  generic/vcl_set.h
  generic/vcl_sstream.h
  generic/vcl_stack.h
  generic/vcl_stdexcept.h
  generic/vcl_streambuf.h
  generic/vcl_string.h
  generic/vcl_typeinfo.h
  generic/vcl_utility.h
  generic/vcl_valarray.h
  generic/vcl_vector.h

  iso/vcl_algorithm.txx  iso/vcl_algorithm.h
  iso/vcl_complex.txx    iso/vcl_complex.h
  iso/vcl_deque.txx      iso/vcl_deque.h
  iso/vcl_functional.txx iso/vcl_functional.h
  iso/vcl_iterator.txx   iso/vcl_iterator.h
  iso/vcl_list.txx       iso/vcl_list.h
  iso/vcl_map.txx        iso/vcl_map.h
  iso/vcl_queue.txx      iso/vcl_queue.h
  iso/vcl_set.txx        iso/vcl_set.h
  iso/vcl_stack.txx      iso/vcl_stack.h
  iso/vcl_string.txx     iso/vcl_string.h
  iso/vcl_utility.txx    iso/vcl_utility.h
  iso/vcl_vector.txx     iso/vcl_vector.h
  iso/vcl_bitset.h
  iso/vcl_cassert.h
  iso/vcl_cctype.h
  iso/vcl_cerrno.h
  iso/vcl_cfloat.h
  iso/vcl_ciso646.h
  iso/vcl_climits.h
  iso/vcl_clocale.h
  iso/vcl_cmath.h
  iso/vcl_csetjmp.h
  iso/vcl_csignal.h
  iso/vcl_cstdarg.h
  iso/vcl_cstddef.h
  iso/vcl_cstdio.h
  iso/vcl_cstdlib.h
  iso/vcl_cstring.h
  iso/vcl_ctime.h
  iso/vcl_cwchar.h
  iso/vcl_cwctype.h
  iso/vcl_exception.h
  iso/vcl_fstream.h
  iso/vcl_iomanip.h
  iso/vcl_ios.h
  iso/vcl_iosfwd.h
  iso/vcl_iostream.h
  iso/vcl_istream.h
  iso/vcl_limits.h
  iso/vcl_locale.h
  iso/vcl_memory.h
  iso/vcl_memory_tr1.h
  iso/vcl_new.h
  iso/vcl_numeric.h
  iso/vcl_ostream.h
  iso/vcl_sstream.h
  iso/vcl_stdexcept.h
  iso/vcl_streambuf.h
  iso/vcl_typeinfo.h
  iso/vcl_valarray.h

  emulation/vcl_limits.cxx            emulation/vcl_limits.h
  emulation/vcl_string_instances.cxx
  emulation/vcl_rbtree_instances.cxx
  emulation/vcl_hashtable.cxx         emulation/vcl_hashtable.h
  emulation/vcl_alloc.cxx             emulation/vcl_alloc.h
  emulation/vcl_algorithm.txx         emulation/vcl_algorithm.h
  emulation/vcl_complex.txx           emulation/vcl_complex.h
  emulation/vcl_deque.txx             emulation/vcl_deque.h
  emulation/vcl_functional.txx        emulation/vcl_functional.h
  emulation/vcl_hash.txx
  emulation/vcl_hash_map.txx          emulation/vcl_hash_map.h
  emulation/vcl_iterator.txx          emulation/vcl_iterator.h
  emulation/vcl_list.txx              emulation/vcl_list.h
  emulation/vcl_map.txx               emulation/vcl_map.h
  emulation/vcl_multimap.txx          emulation/vcl_multimap.h
  emulation/vcl_rbtree.txx
  emulation/vcl_set.txx               emulation/vcl_set.h
  emulation/vcl_utility.txx           emulation/vcl_utility.h
  emulation/vcl_vector.txx            emulation/vcl_vector.h
  emulation/vcl_algobase.h
  emulation/vcl_bool.h
  emulation/vcl_bvector.h
  emulation/vcl_ciso646.h
  emulation/vcl_defalloc.h
  emulation/vcl_functionx.h
  emulation/vcl_hash_set.h
  emulation/vcl_heap.h
  emulation/vcl_multiset.h
  emulation/vcl_new.h
  emulation/vcl_pair.h
  emulation/vcl_rel_ops.h
  emulation/vcl_stack.h
  emulation/vcl_stlfwd.h
  emulation/vcl_tempbuf.h
  emulation/vcl_tree.h

  emulation/vcl_stlconf.h
  emulation/egcs-stlconf.h
  emulation/gcc-272-stlconf.h
  emulation/gcc-2800-stlconf.h
  emulation/gcc-281-stlconf.h
  emulation/gcc-295-stlconf.h
  emulation/sgi-CC-stlconf.h
  emulation/sun-CC4.1-stlconf.h
  emulation/sun-CC5.0-stlconf.h
  emulation/win32-vc50-stlconf.h
  emulation/stlcomp.h

  gcc/vcl_cmath.h
  gcc/vcl_cstdlib.h
  gcc-295/vcl_algorithm.txx
  gcc-295/vcl_complex.h               gcc-295/vcl_complex.txx
  gcc-295/vcl_deque.txx
  gcc-295/vcl_functional.txx
  gcc-295/vcl_iterator.txx
  gcc-295/vcl_list.txx
  gcc-295/vcl_map.txx
  gcc-295/vcl_memory.h
  gcc-295/vcl_queue.txx
  gcc-295/vcl_set.txx
  gcc-295/vcl_string.txx
  gcc-295/vcl_utility.txx
  gcc-295/vcl_vector.txx
  gcc-295/vcl_iomanip.h
  gcc-295/vcl_ios.h
  gcc-libstdcxx-v3/vcl_algorithm.txx
  gcc-libstdcxx-v3/vcl_deque.txx
  gcc-libstdcxx-v3/vcl_functional.txx
  gcc-libstdcxx-v3/vcl_iterator.txx
  gcc-libstdcxx-v3/vcl_list.txx
  gcc-libstdcxx-v3/vcl_map.txx
  gcc-libstdcxx-v3/vcl_set.txx
  gcc-libstdcxx-v3/vcl_string.txx
  gcc-libstdcxx-v3/vcl_utility.txx
  gcc-libstdcxx-v3/vcl_vector.txx
  egcs/vcl_algorithm.txx
  egcs/vcl_complex.txx
  egcs/vcl_deque.txx
  egcs/vcl_functional.txx
  egcs/vcl_iterator.txx
  egcs/vcl_list.txx
  egcs/vcl_map.txx
  egcs/vcl_set.txx
  egcs/vcl_string.txx
  egcs/vcl_utility.txx
  egcs/vcl_vector.txx

  sgi/vcl_algorithm.txx
  sgi/vcl_bitset.h
  sgi/vcl_cmath.h
  sgi/vcl_complex.txx               sgi/vcl_complex.h
  sgi/vcl_cstdlib.h
  sgi/vcl_deque.txx
  sgi/vcl_functional.txx
  sgi/vcl_iomanip.h
  sgi/vcl_ios.h
  sgi/vcl_iostream.h
  sgi/vcl_iterator.txx
  sgi/vcl_list.txx
  sgi/vcl_map.txx
  sgi/vcl_set.txx
  sgi/vcl_string.txx                sgi/vcl_string.h
  sgi/vcl_utility.txx
  sgi/vcl_vector.txx

  sunpro/vcl_algorithm.txx
  sunpro/vcl_cmath.h
  sunpro/vcl_complex.txx            sunpro/vcl_complex.h
  sunpro/vcl_cstdlib.h
  sunpro/vcl_deque.txx
  sunpro/vcl_functional.txx
  sunpro/vcl_iterator.txx           sunpro/vcl_iterator.h
  sunpro/vcl_list.txx
  sunpro/vcl_map.txx                sunpro/vcl_map.h
  sunpro/vcl_set.txx
  sunpro/vcl_stack.txx
  sunpro/vcl_utility.txx
  sunpro/vcl_vector.txx             sunpro/vcl_vector.h

  win32-vc60/vcl_cmath.h
  win32-vc60/vcl_complex.h
  win32-vc60/vcl_cstdarg.h
  win32-vc60/vcl_cstdlib.h
  win32-vc60/vcl_memory.h
  win32-vc60/vcl_string.h
  win32-vc60/vcl_valarray.h

  win32-vc70/vcl_cmath.h
  win32-vc70/vcl_complex.h
  win32-vc70/vcl_cstdlib.h
  win32-vc70/vcl_valarray.h

  borland55/vcl_cfloat.h
  borland55/vcl_cmath.h
  borland55/vcl_complex.h
  borland55/vcl_cstdlib.h
  borland55/vcl_memory.h
  borland56/vcl_complex.h

  mwerks/vcl_cmath.h
  mwerks/vcl_complex.h
  mwerks/vcl_cstdlib.h

  stlport/vcl_cmath.h
  stlport/vcl_complex.h
  stlport/vcl_cstdlib.h

  # The following shall not be used other than as reference count for smart pointers
  vcl_atomic_count.h
  internal/vcl_atomic_count_gcc.h
  internal/vcl_atomic_count_gcc_x86.h
  internal/vcl_atomic_count_pthreads.h
  internal/vcl_atomic_count_solaris.h
  internal/vcl_atomic_count_sync.h
  internal/vcl_atomic_count_win32.h
  internal/vcl_interlocked.h
)

# We use implicit instantiation of the standard library now,
# so we shouldn't be explicitly instantiating anything.
# This also avoid trouble where the instantiation hack conflict
# with modern, more compliant compilers.
#AUX_SOURCE_DIRECTORY(Templates vcl_sources)

ADD_LIBRARY(vcl ${vcl_sources})

# CMake can automatically figure out the compiler characteristics on
# Windows too.  No need to do manual config.

# IF(WIN32)
#   IF(NOT CYGWIN)
#     ADD_DEFINITIONS( -DBUILDING_VCL_DLL )
#     INCLUDE_DIRECTORIES( config.win32 )
#   ENDIF(NOT CYGWIN)
# ENDIF(WIN32)

IF(UNIX)
  TARGET_LINK_LIBRARIES( vcl m )
ENDIF(UNIX)

# Installation
INSTALL_TARGETS(/lib vcl)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/vcl ${vcl_sources})

# INCLUDE( ${vxl_SOURCE_DIR}/vcl/LinkSTLPort.cmake )

IF( BUILD_TESTING)
  SUBDIRS(tests)
ENDIF( BUILD_TESTING)

=== contrib/brl/CMakeLists.txt ===
# brl/CMakeLists.txt
# Mutual dependencies:  bbas --> bseg --> vvid  and  bbas --> bmvl

PROJECT( brl )

doxygen_add_package(contrib/brl "Brown University Libraries")

# In contrib/brl there is sometimes an "extra" level in the directory structure
# (.../contrib/brl/{bbas,bseg,bmvl}/foo/foo.h)
# Setting BRL_INCLUDE_DIR in this way allows #include <foo/foo.h> without
# having to know the internal directory structure.
# The root directory should be listed last in case anyone tries to append to this path
SET( BRL_INCLUDE_DIR "${brl_SOURCE_DIR}/bbas;${brl_SOURCE_DIR}/bcl;${brl_BINARY_DIR}/bbas;${brl_SOURCE_DIR}/bseg;${brl_SOURCE_DIR}/bmvl;${brl_SOURCE_DIR}/bpro;${brl_SOURCE_DIR}" CACHE STATIC "Brown University package include files" FORCE )
SET( BRL_BINARY_DIR "${brl_BINARY_DIR}")
SET( BRL_INSTALL_INCLUDE_DIR 
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/brl
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/brl/bbas
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/brl/bseg
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/brl/bvml
  CACHE INTERNAL "Brown University package include files"
)

SET( BRL_MODULE_PATH ${vxl_SOURCE_DIR}/contrib/brl/bmods )


INCLUDE_DIRECTORIES( ${VXLCORE_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${BRL_INCLUDE_DIR} )

IF(UNIX)
  FIND_PROGRAM(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
  IF(CMAKE_UNAME)
    EXEC_PROGRAM(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
    SET(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
"processor type (i386 and x86_64)")
    IF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
      ADD_DEFINITIONS(-fPIC)
    ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
  ENDIF(CMAKE_UNAME)
ENDIF(UNIX)

# basic services package
SUBDIRS(bbas)

IF( BUILD_GEL )
  # segmentation package
  SUBDIRS(bseg)

  # video view library
  SUBDIRS(vvid)
ENDIF( BUILD_GEL )

# multiview library
SUBDIRS(bmvl)

# standalone executables
SUBDIRS(bexe)

# process libraries
SUBDIRS(bpro)

#3rd party libraries
SUBDIRS(b3p)

#platform-independent includes for brl
SUBDIRS(bcl)

=== contrib/gel/CMakeLists.txt ===
# ./gel/CMakeLists.txt

PROJECT( gel )

doxygen_add_package(contrib/gel "GE Libraries")

SET( GEL_INCLUDE_DIR ${gel_SOURCE_DIR} CACHE STATIC "GE package include files" )
SET( GEL_INSTALL_INCLUDE_DIR 
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/gel
  CACHE INTERNAL "GE package include files"
)

INCLUDE_DIRECTORIES( ${VXLCORE_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${GEL_INCLUDE_DIR} )

# spatial objects
SUBDIRS(vsol)

# digital  geometry
SUBDIRS(vdgl)

# topology
SUBDIRS(vtol gst)

# van-duc region finder (ported from TargetJr)
SUBDIRS(gevd)

# matcher
SUBDIRS(geml)

# Multi-view database
SUBDIRS(gmvl)

# Kanade-Lucas-Tomasi feature tracker; uses vidl_vil1
IF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
  SUBDIRS(vgel/kl vgel gkll)
ENDIF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)

# Dense matcher
SUBDIRS(vmal)

# Triangulation code
SUBDIRS(gtrl)

# octree stuff from Geoff's thesis
IF(BUILD_OXL)
  SUBDIRS(octree)
ENDIF(BUILD_OXL)

# photogrammetry in mrc/vpgl,
# coordinate systems add-on in mrc/vcsl
SUBDIRS(mrc)

# Experiments with the vidl library and vgui (JLM)
IF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
# TEST IF ANYONE USES jvid
#  SUBDIRS(jvid)
ENDIF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)

# Intensity face attributes (MPP)
SUBDIRS(vifa)

=== contrib/mul/CMakeLists.txt ===
# ./mul/CMakeLists.txt

PROJECT( mul )

doxygen_add_book(contrib/mul
  "Manchester University Library overview documentation")

doxygen_add_package(contrib/mul "Manchester University Libraries")

SET( VXL_MUL_INCLUDE_DIR ${mul_SOURCE_DIR} CACHE STATIC "Manchester University package include files" )
SET( MUL_INCLUDE_DIR ${VXL_MUL_INCLUDE_DIR} CACHE STATIC "Deprecated variable giving Manchester University package include files" )
SET( MUL_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/mul CACHE INTERNAL "Manchester University package includes install path" )

INCLUDE_DIRECTORIES( ${VXLCORE_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${VXL_MUL_INCLUDE_DIR} )


SUBDIRS(mbl vpdfl pdf1d clsfy vimt ipts vil3d vimt3d mvl2 m23d mmn mcal)
SUBDIRS(mipa msm mfpf fhs)

IF (BUILD_UNMAINTAINED_LIBRARIES)
  SUBDIRS(mil mil3d)
ENDIF (BUILD_UNMAINTAINED_LIBRARIES) 

OPTION(BUILD_MUL_TOOLS "Build the MUL tools?" YES)

IF ( BUILD_MUL_TOOLS )
  SUBDIRS( tools )
ENDIF ( BUILD_MUL_TOOLS )

=== contrib/oul/CMakeLists.txt ===
# ./oul/CMakeLists.txt

PROJECT( oul )

doxygen_add_package(contrib/oul "Otago University Libraries")

SET( OUL_INCLUDE_DIR ${oul_SOURCE_DIR} CACHE INTERNAL "Otago University package include files" )
SET( OUL_INSTALL_INCLUDE_DIR 
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/oul
  CACHE INTERNAL "Otago University package include files"
)

INCLUDE_DIRECTORIES( ${VXLCORE_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${OUL_INCLUDE_DIR} )

SET(oul_sources oul_copyright.h)
INSTALL_NOBASE_HEADER_FILES(/include/vxl/contrib/oul ${oul_sources})

SUBDIRS(ouel ouml)
IF(CMAKE_SYSTEM MATCHES "Linux*")
  SUBDIRS(oufgl)
ENDIF(CMAKE_SYSTEM MATCHES "Linux*")

=== contrib/oxl/CMakeLists.txt ===
# oxl/CMakeLists.txt

PROJECT( oxl )

doxygen_add_package(contrib/oxl "Oxford University Libraries")

SET( OXL_INCLUDE_DIR ${oxl_SOURCE_DIR} CACHE STATIC "Oxford University package include files" )
SET( OXL_INSTALL_INCLUDE_DIR
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/oxl
  CACHE INTERNAL "Oxford University package include files"
)

INCLUDE_DIRECTORIES(${VXLCORE_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${OXL_INCLUDE_DIR})

# These four libraries are mutually independent:
SUBDIRS(mvl vrml osl)
IF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)
  # using vidl_vil1:
  SUBDIRS(oxp VPLAYER)
ENDIF (BUILD_UNMAINTAINED_LIBRARIES OR BUILD_FOR_VXL_DASHBOARD)

# using vgui:
IF( BUILD_VGUI )
  SUBDIRS(xcv apps)
ENDIF( BUILD_VGUI )

=== contrib/rpl/CMakeLists.txt ===
PROJECT( rpl )

doxygen_add_package(contrib/rpl "RPI Libraries")

SET( RPL_INCLUDE_DIR ${rpl_SOURCE_DIR} CACHE STATIC "RPI package include files" )
SET( RPL_INSTALL_INCLUDE_DIR
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/rpl
  CACHE INTERNAL "RPI package include files"
)

INCLUDE_DIRECTORIES( ${VXLCORE_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${RPL_INCLUDE_DIR} )

SUBDIRS( rrel )
SUBDIRS( rsdl )
SUBDIRS( rgrl )

OPTION(BUILD_RPL_RGTL "Build Rensselaer Generic Tree Library (rgtl)" OFF)
MARK_AS_ADVANCED(BUILD_RPL_RGTL)
IF(BUILD_RPL_RGTL)
  SUBDIRS( rgtl )

  OPTION(BUILD_RPL_RTVL "Build Rensselaer Tensor Voting Library (rtvl)" OFF)
  MARK_AS_ADVANCED(BUILD_RPL_RTVL)
  IF(BUILD_RPL_RTVL)
    SUBDIRS( rtvl )
  ENDIF(BUILD_RPL_RTVL)
ENDIF(BUILD_RPL_RGTL)

=== contrib/tbl/CMakeLists.txt ===
PROJECT( tbl )

doxygen_add_book(contrib/tbl "The Image Processing Library")

doxygen_add_package(contrib/tbl "Image Processing Libraries")

SET( TBL_INCLUDE_DIR ${tbl_SOURCE_DIR} CACHE STATIC "TB package include files" )
SET( TBL_INSTALL_INCLUDE_DIR
  ${CMAKE_INSTALL_PREFIX}/include/vxl/contrib/tbl
  CACHE INTERNAL "TB package include files"
)

INCLUDE_DIRECTORIES(${VXLCORE_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${TBL_INCLUDE_DIR})

SUBDIRS(vipl vepl vepl2)

=== core/tests/CMakeLists.txt ===
# This is core/tests/CMakeLists.txt

# The tests here are general vxl configuration tests, and should not
# depend on any libraries other than vcl and testlib.

# header to tell test_build_info values of vxl_BUILD_DIR, BUILD_NAME,
# and SITE from CMake
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/test_build_info.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/test_build_info.h
                @ONLY IMMEDIATE)

# needed for generated test_build_info.h
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

# these defines are set (possibly) so the core_test_config test can
# report whether CMake has set these CMake variables
IF( UNIX )
  ADD_DEFINITIONS( -DCMAKE_DEFINES_VARIABLE_UNIX )
ENDIF( UNIX )
IF( CYGWIN )
  ADD_DEFINITIONS( -DCMAKE_DEFINES_VARIABLE_CYGWIN )
ENDIF( CYGWIN )
IF( MINGW )
  ADD_DEFINITIONS( -DCMAKE_DEFINES_VARIABLE_MINGW )
ENDIF( MINGW )
IF( WIN32 )
  ADD_DEFINITIONS( -DCMAKE_DEFINES_VARIABLE_WIN32 )
ENDIF( WIN32 )
IF( APPLE )
  ADD_DEFINITIONS( -DCMAKE_DEFINES_VARIABLE_APPLE )
ENDIF( APPLE )

ADD_EXECUTABLE( core_test_all
  test_driver.cxx
  test_config.cxx
  test_build_info.cxx test_build_info.h.in
)
TARGET_LINK_LIBRARIES( core_test_all testlib vcl )

ADD_TEST( core_test_config ${EXECUTABLE_OUTPUT_PATH}/core_test_all test_config )
ADD_TEST( core_test_build_info ${EXECUTABLE_OUTPUT_PATH}/core_test_all test_build_info )

# a simple Dart notes file, in case test_build_info fails
IF( COMMAND WRITE_FILE )
  WRITE_FILE(
    "${vxl_BINARY_DIR}/Testing/HTML/TestingResults/Sites/${SITE}/${BUILDNAME}/BuildNameNotes.xml"
    "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
    "<Site BuildName=\"${BUILDNAME}\" Name=\"${SITE}\">\n"
    "<BuildNameNotes>\n"
    "<Note>\n"
    "<DateTime>unset</DateTime>\n"
    "<Text>\n"
    "The full test_build_info did not run.\n"
    "Here is some basic information:\n"
    "vxl_SOURCE_DIR = ${vxl_SOURCE_DIR}\n"
    "vxl_BINARY_DIR = ${vxl_BINARY_DIR}\n"
    "CMAKE_C_COMPILER = ${CMAKE_C_COMPILER}\n"
    "CMAKE_C_FLAGS = ${CMAKE_C_FLAGS}\n"
    "CMAKE_CXX_COMPILER = ${CMAKE_CXX_COMPILER}\n"
    "CMAKE_CXX_FLAGS = ${CMAKE_CXX_FLAGS}\n"
    "CMAKE_SYSTEM = ${CMAKE_SYSTEM}\n"
    "CMAKE_MAKE_PROGRAM = ${CMAKE_MAKE_PROGRAM}\n"
    "</Text>\n"
    "</Note>\n"
    "</BuildNameNotes>\n"
    "</Site>\n"
  )
ENDIF( COMMAND WRITE_FILE )

ADD_EXECUTABLE( vxl_echo vxl_echo.cxx )
TARGET_LINK_LIBRARIES( vxl_echo vcl )


# Deal with unavailablility of FILE(TO_CMAKE_PATH ...)
SET( MYMAKECOMMAND ${MAKECOMMAND})

IF (CMAKE_MAJOR_VERSION GREATER 2)
 FILE(TO_CMAKE_PATH ${MAKECOMMAND} MYMAKECOMMAND)
ENDIF (CMAKE_MAJOR_VERSION GREATER 2)

IF (CMAKE_MAJOR_VERSION EQUAL 2)
  IF (CMAKE_MINOR_VERSION  GREATER 3)
     FILE(TO_CMAKE_PATH ${MAKECOMMAND} MYMAKECOMMAND)
  ENDIF (CMAKE_MINOR_VERSION  GREATER 3)
ENDIF (CMAKE_MAJOR_VERSION EQUAL 2)


ADD_TEST( cmake_config ${EXECUTABLE_OUTPUT_PATH}/vxl_echo nl
          MAKECOMMAND: ${MYMAKECOMMAND} nl
          CMAKE_CXX_FLAGS: ${CMAKE_CXX_FLAGS} nl
          CMAKE_C_FLAGS: ${CMAKE_C_FLAGS} nl
          BUILD_SHARED_LIBS: ${BUILD_SHARED_LIBS} nl
          CMAKE_EXE_LINKER_FLAGS: ${CMAKE_EXE_LINKER_FLAGS} nl
          CMAKE_MODULE_LINKER_FLAGS: ${CMAKE_MODULE_LINKER_FLAGS} nl
          CMAKE_SHARED_LINKER_FLAGS: ${CMAKE_SHARED_LINKER_FLAGS} nl
          VXL_USE_CMAKE_CONFIGURE: ${VXL_USE_CMAKE_CONFIGURE} nl
          )

=== debian/changelog ===
vxl (1.14.0-18) unstable; urgency=low

  * Fix compilation with gcc 4.7. Closes: #674350
  * Use CPPFLAGS for hardening (using dh/compat 9)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 19 Jun 2012 13:40:50 +0200

vxl (1.14.0-17) unstable; urgency=low

  * Disable test suite for now
  * Fix test suite compilation on kFreeBSD. Closes: #671653

 -- Mathieu Malaterre <malat@debian.org>  Sat, 05 May 2012 21:39:39 +0200

vxl (1.14.0-16) unstable; urgency=low

  * Use my @d.o alias
  * Set LDFLAGS to remove lintian warnings
  * Update d/copyright to use dep5
  * Bump Std-Vers to 3.9.3, no changes needed
  * Explicitly prefer libtiff5-dev in d/control. Closes: #665026
  * Fix compilation with png1.5. Closes: #650570
  * Fix lintian warning about FSF address
  * Make sure to compile using 2.7 (3.2 generates FTBFS)
  * Activate test-suite, remove broken tests for now

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 May 2012 14:53:49 +0200

vxl (1.14.0-15) unstable; urgency=low

  * Remove inclusion of doxygen.cmake. Closes: #656922

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 23 Jan 2012 11:07:33 +0100

vxl (1.14.0-14) unstable; urgency=low

  [ Andreas Tille ]
  * debian/contol
    - Added myself to Uploaders
    - Remove libavifile-0.7-dev from Build-Depends
      Closes: #647787

  [ Mathieu Malaterre ]
  * Remove libav patch, use upstream patch instead.
  * Fix missing libraries.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 20 Dec 2011 15:23:03 +0100

vxl (1.14.0-13) unstable; urgency=low

  * Fix videodev2.h compilation on kFreeBSD. Closes: #651464

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 11 Dec 2011 12:22:27 +0100

vxl (1.14.0-12) unstable; urgency=low

  * Another attempt at fixing alpha building
  * Add a patch to install doxygen.cmake. Closes: #651314

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 07 Dec 2011 22:15:15 +0100

vxl (1.14.0-11) unstable; urgency=low

  * Fix another compilation issue on alpha
  * Move pre-build operations in auto_configure, since it was broken 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sat, 22 Oct 2011 01:46:01 -0400

vxl (1.14.0-10) unstable; urgency=low

  * Fix compilation on alpha. Closes: #643643
  * Redo d/rules. remove tests for now
  * Compiles DC1394 plugin only on linux-any

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 28 Sep 2011 12:13:03 +0200

vxl (1.14.0-9) unstable; urgency=low

  * Rename libmcal to libmul_mcal. Closes: #639269
  * Fix compilation with libav/0.7.2. Closes: #638251
  * Bump Standard Version to 3.9.2, no changes needed
  * Compiles DC1394 plugin

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 26 Aug 2011 11:13:58 +0200

vxl (1.14.0-8) unstable; urgency=low

  * Remove B-D on linux-libc-dev since videodev was deprecated in 2.6.38 anyway
  * Remove B-D on libdc1394-22-dev to allow building on kfreedbsd-*

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 05 May 2011 10:40:29 +0200

vxl (1.14.0-7) unstable; urgency=low

  * Fix compilation on armel. Closes: #624512
  * Explicitly B-D on libav-dev files

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 29 Apr 2011 09:38:20 +0200

vxl (1.14.0-6) unstable; urgency=low

  * Fix compilation on armel. Closes: #624410

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 28 Apr 2011 10:46:46 +0200

vxl (1.14.0-5) unstable; urgency=low

  * Rename libs to prevent conflicts. Closes: #623511, #624174

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 26 Apr 2011 11:56:39 +0200

vxl (1.14.0-4) unstable; urgency=low

  * Add another patch for non-intel platform

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 19 Apr 2011 21:29:19 +0200

vxl (1.14.0-3) unstable; urgency=low

  * Remove sse2 instruction from non-sse2 platforms

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 19 Apr 2011 08:32:40 +0200

vxl (1.14.0-2) unstable; urgency=low

  * Start turning more options to ON. Closes: #580671
  * Update Standard Version to 3.9.1 (no changes needed)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 07 Apr 2011 17:19:34 +0200

vxl (1.14.0-1) unstable; urgency=low

  [Mathieu Malaterre]
  * New upstream
  * Update standard version to 3.8.4 (no change needed)
  
  [Andreas Tille]
  * Using Dpkg source format version ‘3.0 (quilt)’ (debian/source/format)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 03 May 2010 17:56:56 +0200

vxl (1.13.0-2) unstable; urgency=low

  * Use system expat (Closes: #560945) 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 13 Dec 2009 11:49:36 +0100

vxl (1.13.0-1) unstable; urgency=low

  * Initial release (Closes: #390999)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 30 Sep 2009 14:07:28 +0200

=== debian/control ===
Source: vxl
Homepage: http://vxl.sf.net
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <malat@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.4.5), libtiff5-dev | libtiff-dev,
 libdcmtk2-dev, libpng-dev, libjpeg-dev, zlib1g-dev, libexpat-dev, python-dev (>= 2.6.6-3~),
 libgeotiff-dev, libcoin60-dev, libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libqt4-dev, libxerces-c-dev, libglu-dev, libqt4-opengl-dev,
 libmpeg2-4-dev, libswscale-dev, libavformat-dev, libavcodec-dev
Standards-Version: 3.9.3
X-Python-Version: 2.7
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vxl/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/vxl/trunk/

Package: libvxl1.14
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: C++ Libraries for Computer Vision Research
 VXL (the Vision-something-Libraries) is a collection of C++ libraries
 designed for computer vision research and implementation. It was created
 from TargetJr and the IUE with the aim of making a light, fast and
 consistent system. VXL is written in ANSI/ISO C++ and is designed to be
 portable over many platforms.

Package: libvxl1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvxl1.14 (= ${binary:Version})
Provides: libvxl-dev
Description: C++ Libraries for Computer Vision Research
 VXL (the Vision-something-Libraries) is a collection of C++ libraries
 designed for computer vision research and implementation. It was created
 from TargetJr and the IUE with the aim of making a light, fast and
 consistent system. VXL is written in ANSI/ISO C++ and is designed to be
 portable over many platforms.
 .
 This package contains the development files needed to build your own
 VXL applications.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
SOVERSION = $(shell echo $(VER_FULL) | cut -f1-2 -d.)
VER_MAJOR = $(shell echo $(VER_FULL) | cut -f1   -d.)

UPSTREAM_SRC = vxl-$(VER_FULL)
DEBIAN_SRC_DIR = vxl-$(VER_FULL)
DEBIAN_SRC_TAR = vxl_$(VER_FULL).orig.tar.gz

# CMAKE_SKIP_RPATH=OFF is required when BUILD_TESTING=ON
CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DVXL_USING_NATIVE_ZLIB:BOOL=ON \
	-DVXL_USING_NATIVE_JPEG:BOOL=ON \
	-DVXL_USING_NATIVE_MPEG2:BOOL=ON \
	-DVXL_USING_NATIVE_PNG:BOOL=ON \
	-DVXL_USING_NATIVE_TIFF:BOOL=ON \
	-DVXL_USING_NATIVE_SHAPELIB:BOOL=ON \
	-DVXL_USING_NATIVE_GEOTIFF:BOOL=ON \
	-DVXL_USING_NATIVE_EXPAT:BOOL=ON \
	-DBUILD_VGUI:BOOL=ON \
	-DBUILD_BGUI3D:BOOL=ON \
	-DVXL_BUILD_DCMTK:BOOL=ON \
	-DBUILD_OXL:BOOL=ON \
	-DBUILD_CORE_GEOMETRY:BOOL=ON \
	-DBUILD_CORE_IMAGING:BOOL=ON \
	-DBUILD_CORE_NUMERICS:BOOL=ON \
	-DBUILD_CORE_PROBABILITY:BOOL=ON \
	-DBUILD_CORE_SERIALISATION:BOOL=ON \
	-DBUILD_CORE_UTILITIES:BOOL=ON \
	-DBUILD_CORE_VIDEO:BOOL=ON \
	-DBUILD_EXAMPLES:BOOL=OFF \
	-DPYTHON_INCLUDE_DIR="/usr/include/python2.7"   \
	-DPYTHON_LIBRARY="/usr/lib/python2.7/config/libpython2.7.so"    \
	-DBUILD_TESTING:BOOL=ON

pkg_lib = libvxl$(SOVERSION)
pkg_dev = libvxl$(VER_MAJOR)-dev
#pkg_examples = vxl$(VER_MAJOR)-examples

%:
	dh $@ --buildsystem=cmake --parallel --with python2

override_dh_auto_configure:
	# remove duplicate from bprb_parameters+unsigned_int-.cxx
	rm -f $(CURDIR)/contrib/brl/bpro/bprb/Templates/bprb_parameters+unsigned-.cxx
	# remove duplicate from bvxm_voxel_grid+bsta_num_obs+bsta_mixture_fixed+bsta_num_obs+bsta_gauss_f1-.3---.cxx
	rm -f $(CURDIR)/contrib/brl/bseg/bvxm/grid/Templates/bvxm_voxel_grid+bsta_num_obs+bsta_mixture_fixed+bsta_num_obs+bsta_gaussian_sphere+float.1--.3---.cxx
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_lintian:
	echo "$(pkg_lib): package-name-doesnt-match-sonames" > debian/$(pkg_lib).lintian-overrides
	dh_lintian

override_dh_install:
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/lib*.so.* usr/lib
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/lib*.so usr/lib
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/vxl/cmake/*.cmake 

# too many tests failure, with erratic behavior
# http://bugs.debian.org/671601
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack

=== debian/watch ===
version=3
http://sf.net/vxl/vxl-([\d\.]+)\.zip
